# Get Listing Content

Launch stage: Public Preview

`GET /api/2.1/marketplace-consumer/listings/{listing_id}/content`

Get a high level preview of the metadata of listing installable content.

API scopes: marketplace

## Path parameters

- `listing_id` (string, optional)

## Query parameters

- `page_token` (string, optional)
- `page_size` (int32, optional)

## Returns

- `shared_data_objects` (array of object, optional)
  - `name` (string, optional)
    Name of the shared object
  - `data_object_type` (string, optional)
    The type of the data object. Could be one of: TABLE, SCHEMA, NOTEBOOK_FILE, MODEL, VOLUME
- `next_page_token` (string, optional)

## Response

```json
{
  "shared_data_objects": [
    {
      "name": "string",
      "data_object_type": "string"
    }
  ],
  "next_page_token": "string"
}
```

